<?php $__currentLoopData = $pricing; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $pricing): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <div class="col-xl-3 col-lg-4 col-sm-6 d-none">
        <div class="pricing-item">
            <div class="pricing-item__heading">
                <h5 class="pricing-item__category"><?php echo e(__(strtoupper(@$pricing->name))); ?></h5>
                <h4 class="pricing-item__price monthly-price">
                    <?php echo e(showAmount(@$pricing->monthly_price)); ?> <sub>/<?php echo app('translator')->get('month'); ?></sub></h4>

                <h4 class="pricing-item__price yearly-price">
                    <?php echo e(showAmount(@$pricing->yearly_price)); ?> <sub>/ <?php echo app('translator')->get('yearly'); ?></sub></h4>

            </div>
            <div class="pricing-item__content">
                <ul class="pricing-item__list">
                    <li class="pricing-item__item"><?php echo app('translator')->get('Staff add limit'); ?>:
                        <?php echo e(getAmount(@$pricing->staff_limit)); ?></li>
                    <li class="pricing-item__item"><?php echo app('translator')->get('Daily appointment'); ?>:
                        <?php echo e(getAmount(@$pricing->daily_appointment_limit)); ?></li>
                    <li class="pricing-item__item"><?php echo app('translator')->get('Monthly appointment'); ?>:
                        <?php echo e(getAmount(@$pricing->monthly_appointment_limit)); ?></li>
                </ul>
                <?php if(auth()->guard()->guest()): ?>
                    <a href="<?php echo e(route('user.login')); ?>" class="btn btn-outline--base"><?php echo app('translator')->get('Subscribe Now'); ?></a>
                <?php else: ?>
                    <a href="<?php echo e(route('user.deposit.index', ['pricing_id' => $pricing->id, 'time' => ':placeholderTime'])); ?>"
                        class="btn btn-outline--base subscribeBtn"><?php echo app('translator')->get('Subscribe Now'); ?></a>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <div class="col-md-12 col-sm-6 col-xsm-6">
        <div class="pricing-card">
            <div class="pricing-card__header">
                <h5 class="pricing-card__title"> <?php echo e(__(strtoupper(@$pricing->name))); ?> </h5>
            </div>
            <ul class="pricing-item__list">
                <li class="pricing-item__item"><?php echo app('translator')->get('Staff Limit'); ?>:
                    <?php echo e(getAmount(@$pricing->staff_limit)); ?></li>
                <li class="pricing-item__item"><?php echo app('translator')->get('Daily Appointment Limit'); ?>:
                    <?php echo e(getAmount(@$pricing->daily_appointment_limit)); ?></li>
                <li class="pricing-item__item"><?php echo app('translator')->get('Monthly Appointment Limit'); ?>:
                    <?php echo e(getAmount(@$pricing->monthly_appointment_limit)); ?></li>
            </ul>
            <div class="pricing-card__right">
                <h4 class="pricing-item__price monthly-price">
                    <?php echo e(showAmount(@$pricing->monthly_price)); ?>

                    <sub>/<?php echo app('translator')->get('Month'); ?></sub></h4>

                <h4 class="pricing-item__price yearly-price">
                    <?php echo e(showAmount(@$pricing->yearly_price)); ?>

                    <sub>/ <?php echo app('translator')->get('Year'); ?></sub></h4>
                <?php if(auth()->guard()->guest()): ?>
                    <a href="<?php echo e(route('user.login')); ?>" class="btn btn-outline--base btn--sm"><?php echo app('translator')->get('Subscribe Now'); ?></a>
                <?php else: ?>
                    <a href="<?php echo e(route('user.deposit.index', ['pricing_id' => $pricing->id, 'time' => ':placeholderTime'])); ?>"
                        class="btn btn-outline--base subscribeBtn btn--sm"><?php echo app('translator')->get('Subscribe Now'); ?></a>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


<?php $__env->startPush('style'); ?>
    <style>
        .yearly-price {
            display: none
        }

        .custom--tab {
            background-color: hsl(var(--white)) !important;
            border: 1px solid hsl(var(--base));
            border-radius: 50px;
            width: auto;
            display: inline-flex;
            margin-bottom: 48px;
            position: relative;
            z-index: 1;
        }

        .custom--tab .nav-item .nav-link.active {
            color: hsl(var(--white));
            background-color: hsl(var(--base)) !important;
            border: 1px solid transparent !important;
        }

        .pricing-item__list {
            margin-bottom: 0;
            padding: 10px 0;
            margin-left: 30px;
            display: flex;
            flex-direction: column;
            justify-content: center;
        }

        .custom--tab .nav-item .nav-link {
            color: hsl(var(--base));
            padding: 8px 25px !important;
            background-color: transparent !important;
            border-radius: 5px;
            transition: 0.4s f;
            border: 1px solid hsl(var(--white)) !important;
        }

        .pricing-item__price {
            color: hsl(var(--black)) !important;
            margin-bottom: 15px;
        }

        .pricing-item__list {
            margin-bottom: 0;
        }


        .pricing-card {
            display: grid;
            grid-template-columns: 1fr 2fr 2fr;
            border: 1px solid hsl(var(--black)/.1);
            border-radius: 6px;
            overflow: hidden;
        }

        .pricing-card__header {
            background: hsl(var(--base)/0.75);
            text-align: center;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .pricing-card__right {
            text-align: right;
            padding: 15px 30px;
        }

        @media (max-width:767px) {
            .pricing-card {
                display: block;
            }

            .pricing-item__list {
                margin-left: 0;
                padding: 0 10px;
                margin-top: 15px;
                align-items: start;
            }


            .pricing-card__header {
                padding: 30px 20px;
            }

            .pricing-card__right {
                text-align: center;
                padding: 0 10px;
                margin: 15px 0;
            }
        }

        .pricing-card__title {
            color: hsl(var(--white));
        }


        .pricing-card__header.bg-img {
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .pricing-card__title.h3 {}
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        $(document).ready(function() {

            $('#monthly-tab').on('click', function() {
                $('.monthly-price').show();
                $('.yearly-price').hide();
                setPriceTime();
            });

            $('#yearly-tab').on('click', function() {
                $('.monthly-price').hide();
                $('.yearly-price').show();
                setPriceTime();
            });

            setPriceTime()

            function setPriceTime() {

                $.each($('.subscribeBtn'), function(indexInArray, btnElement) {

                    btnElement = $(btnElement);
                    btnHref = btnElement.attr('href');
                    btnHref = btnHref.replace(':placeholderTime', $('.time-tab.active').data('time'));
                    btnHref = btnHref.replace('monthly', $('.time-tab.active').data('time'));
                    btnHref = btnHref.replace('yearly', $('.time-tab.active').data('time'));

                    btnElement.attr('href', btnHref)

                });
            }
        });
    </script>
<?php $__env->stopPush(); ?>
<?php /**PATH /home/duceqbfx/bubblesoft.site/core/resources/views/templates/basic/partials/pricing.blade.php ENDPATH**/ ?>