<?php $__env->startSection('content'); ?>
    <?php
        $contactContent = getContent('contact_us.content', true);
        $contactElements = getContent('contact_us.element', orderById: true);
    ?>
    <?php echo $__env->make('Template::partials.breadcrumb', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <section class="contact-section py-110">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="contact-wrapper">
                        <div class="contact-info">
                            <span class="contact-info__shape">
                                <img src="<?php echo e(getImage($activeTemplateTrue . 'images/shapes/contact-info-shape.png')); ?>" alt="Shape">
                            </span>
                            <h3 class="contact-info__title"><?php echo e(__(@$contactContent->data_values->title)); ?></h3>
                            <p class="contact-info__desc">
                                <?php echo e(__(@$contactContent->data_values->short_details)); ?>

                            </p>
                            <ul class="contact-info__list">
                                <li class="contact-info__item">
                                    <span class="icon"><i class="las la-phone-volume"></i></span>
                                    <div class="content">
                                        <span class="text"><?php echo e($contactContent->data_values->contact_number); ?></span>
                                    </div>
                                </li>
                                <li class="contact-info__item">
                                    <span class="icon"><i class="las la-envelope"></i></span>
                                    <div class="content">
                                        <span class="text"><?php echo e($contactContent->data_values->email_address); ?></span>
                                    </div>
                                </li>
                                <li class="contact-info__item">
                                    <span class="icon"><i class="las la-map-marker-alt"></i></span>
                                    <div class="content">
                                        <span class="text"><?php echo e(__(@$contactContent->data_values->location)); ?></span>
                                    </div>
                                </li>
                            </ul>
                        </div>
                        <form action="<?php echo e(route('contactSubmit')); ?>" method="post" class="contact-form verify-gcaptcha">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label  class="form--label"><?php echo app('translator')->get('Name'); ?></label>
                                        <input type="text" name="name" class="form--control" value="<?php echo e(old('name', @$user->fullname)); ?>"
                                            <?php if($user && $user->profile_complete): ?> readonly <?php endif; ?> required>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label  class="form--label"><?php echo app('translator')->get('Email'); ?></label>
                                        <input type="email" name="email" class="form--control" value="<?php echo e(old('email', @$user->email)); ?>"
                                            <?php if($user): ?> readonly <?php endif; ?> required>
                                    </div>
                                </div>
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label  class="form--label"><?php echo app('translator')->get('Subject'); ?></label>
                                        <input type="text" name="subject" class="form--control" value="<?php echo e(old('subject')); ?>" required>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-group">
                                        <label for="message" class="form--label"><?php echo app('translator')->get('Message'); ?></label>
                                        <textarea name="message" id="message" class="form-control form--control" required><?php echo e(old('message')); ?></textarea>
                                    </div>
                                </div>
                                <?php if (isset($component)) { $__componentOriginalff0a9fdc5428085522b49c68070c11d6 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalff0a9fdc5428085522b49c68070c11d6 = $attributes; } ?>
<?php $component = App\View\Components\Captcha::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('captcha'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\Captcha::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalff0a9fdc5428085522b49c68070c11d6)): ?>
<?php $attributes = $__attributesOriginalff0a9fdc5428085522b49c68070c11d6; ?>
<?php unset($__attributesOriginalff0a9fdc5428085522b49c68070c11d6); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalff0a9fdc5428085522b49c68070c11d6)): ?>
<?php $component = $__componentOriginalff0a9fdc5428085522b49c68070c11d6; ?>
<?php unset($__componentOriginalff0a9fdc5428085522b49c68070c11d6); ?>
<?php endif; ?>
                                <div class="col-12">
                                    <div class="form-group mb-0 text-end">
                                        <button type="submit" class="btn btn--base"><?php echo app('translator')->get('Send Message'); ?></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="contact-map">
                        <iframe src="<?php echo e(@$contactContent->data_values->map_url); ?>">
                        </iframe>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <?php if(@$sections->secs != null): ?>
        <?php $__currentLoopData = json_decode($sections->secs); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sec): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php echo $__env->make('Template::sections.' . $sec, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('Template::layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/bubblesoft.site/core/resources/views/templates/basic/contact.blade.php ENDPATH**/ ?>