<?php $__env->startSection('panel'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body p-0">
                    <div class="table-responsive--sm table-responsive">
                        <table class="table table--light style--two">
                            <thead>
                                <tr>
                                    <th><?php echo app('translator')->get('Name'); ?></th>
                                    <th><?php echo app('translator')->get('Price'); ?>(<?php echo app('translator')->get('Monthly'); ?>- <?php echo app('translator')->get('Yearly'); ?>)</th>
                                    <th><?php echo app('translator')->get('Appointment Limit'); ?>(<?php echo app('translator')->get('Daily'); ?>- <?php echo app('translator')->get('Monthly'); ?>)</th>
                                    <th><?php echo app('translator')->get('Status'); ?></th>
                                    <th><?php echo app('translator')->get('Action'); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $pricing; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pricing): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td><?php echo e(__($pricing->name)); ?></td>
                                        <td>
                                            <div>
                                                <?php echo e(showAmount($pricing->monthly_price)); ?><br>
                                                <?php echo e(showAmount($pricing->yearly_price)); ?>

                                            </div>
                                        </td>
                                        <td>
                                            <div>
                                                <?php echo e(getAmount($pricing->daily_appointment_limit)); ?> <br>
                                                <?php echo e(getAmount($pricing->monthly_appointment_limit)); ?>

                                            </div>
                                        </td>
                                        <td>
                                            <?php
                                                echo $pricing->statusBadge;
                                            ?>
                                        </td>
                                        <td>
                                            <div class="button--group">

                                                <button class="btn btn-outline--primary cuModalBtn btn-sm"
                                                    data-modal_title="<?php echo app('translator')->get('Update Pricing'); ?>" data-resource="<?php echo e($pricing); ?>">
                                                    <i class="las la-pen"></i><?php echo app('translator')->get('Edit'); ?>
                                                </button>

                                                <?php if($pricing->status == Status::DISABLE): ?>
                                                    <button class="btn btn-sm btn-outline--success confirmationBtn"
                                                        data-question="<?php echo app('translator')->get('Are you sure to enable this pricing plan'); ?>?"
                                                        data-action="<?php echo e(route('admin.pricing.status', $pricing->id)); ?>">
                                                        <i class="la la-eye"></i> <?php echo app('translator')->get('Enable'); ?>
                                                    </button>
                                                <?php else: ?>
                                                    <button class="btn btn-sm btn-outline--danger confirmationBtn"
                                                        data-question="<?php echo app('translator')->get('Are you sure to disable this pricing plan'); ?>?"
                                                        data-action="<?php echo e(route('admin.pricing.status', $pricing->id)); ?>">
                                                        <i class="la la-eye-slash"></i> <?php echo app('translator')->get('Disable'); ?>
                                                    </button>
                                                <?php endif; ?>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table><!-- table end -->
                    </div>
                </div>
            </div><!-- card end -->
        </div>
    </div>

    <div class="modal fade" id="cuModal" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="cuModal"></h5>
                    <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                        <i class="las la-times"></i>
                    </button>
                </div>
                <form action="<?php echo e(route('admin.pricing.store')); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body row">
                        <div class="form-group col-sm-12">
                            <label><?php echo app('translator')->get('Pricing Name'); ?></label>
                            <input type="text" class="form-control " name="name" value="<?php echo e(old('name')); ?>"
                                required />
                        </div>
                        <div class="form-group col-sm-12">
                            <label><?php echo app('translator')->get('Monthly Price'); ?></label>
                            <div class="input-group">
                                <span class="input-group-text"><?php echo e(gs('cur_sym')); ?></span>
                                <input type="number" step="any" class="form-control" name="monthly_price" required
                                    value="<?php echo e(old('monthly_price')); ?>" />
                            </div>
                        </div>
                        <div class="form-group col-sm-12">
                            <label><?php echo app('translator')->get('Yearly Price'); ?></label>
                            <div class="input-group">
                                <span class="input-group-text"><?php echo e(gs('cur_sym')); ?></span>
                                <input type="number" step="any" class="form-control" name="yearly_price" required
                                    value="<?php echo e(old('yearly_price')); ?>" />
                            </div>
                        </div>
                        <div class="form-group col-sm-6">
                            <label><?php echo app('translator')->get('Appointment Daily Limit'); ?></label>
                            <div class="input-group">
                                <span class="input-group-text"><?php echo app('translator')->get('Daily'); ?></span>
                                <input type="number" step="any" class="form-control" name="daily_appointment_limit"
                                    required value="<?php echo e(old('daily_appointment_limit')); ?>" />
                            </div>
                        </div>
                        <div class="form-group col-sm-6">
                            <label><?php echo app('translator')->get('Appointment Monthly Limit'); ?></label>
                            <div class="input-group">
                                <span class="input-group-text"><?php echo app('translator')->get('Monthly'); ?></span>
                                <input type="number" step="any" class="form-control" name="monthly_appointment_limit"
                                    required value="<?php echo e(old('monthly_appointment_limit')); ?>" />
                            </div>
                        </div>
                        <div class="form-group col-sm-12">
                            <label><?php echo app('translator')->get('Staff Limit'); ?></label>
                            <div class="input-group">
                                <input type="number" step="any" class="form-control" name="staff_limit" required
                                    value="<?php echo e(old('staff_limit')); ?>" />
                            </div>
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn--primary w-100 h-45"><?php echo app('translator')->get('Submit'); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <?php if (isset($component)) { $__componentOriginalbd5922df145d522b37bf664b524be380 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalbd5922df145d522b37bf664b524be380 = $attributes; } ?>
<?php $component = App\View\Components\ConfirmationModal::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\ConfirmationModal::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalbd5922df145d522b37bf664b524be380)): ?>
<?php $attributes = $__attributesOriginalbd5922df145d522b37bf664b524be380; ?>
<?php unset($__attributesOriginalbd5922df145d522b37bf664b524be380); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalbd5922df145d522b37bf664b524be380)): ?>
<?php $component = $__componentOriginalbd5922df145d522b37bf664b524be380; ?>
<?php unset($__componentOriginalbd5922df145d522b37bf664b524be380); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('breadcrumb-plugins'); ?>
    <button class="btn btn-outline--primary cuModalBtn addBtn" data-modal_title="<?php echo app('translator')->get('Add Pricing'); ?>">
        <i class="las la-plus"></i><?php echo app('translator')->get('Add New'); ?>
    </button>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script src="<?php echo e(asset('assets/admin/js/cuModal.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/bubblesoft.site/core/resources/views/admin/pricing/index.blade.php ENDPATH**/ ?>